=== modified file '__init__.py'
--- __init__.py	2011-02-10 00:43:37 +0000
+++ __init__.py	2011-02-10 00:49:06 +0000
@@ -150,11 +150,11 @@
 
         def run(self, filename):
             from bzrlib.plugins.loggerhead.loggerhead import load_test
-            print 'starting script'
             script = load_test.run_script(filename)
             for worker,_  in script._threads.itervalues():
                 for url, success, time in worker.stats:
-                    print ' %5.3fs %s %s' % (time, str(success)[0], url)
+                    self.outf.write(' %5.3fs %s %s\n'
+                                    % (time, str(success)[0], url))
 
     commands.register_command(cmd_load_test_loggerhead)
 

=== modified file 'load_test.script'
--- load_test.script	2011-02-10 00:43:37 +0000
+++ load_test.script	2011-02-10 00:49:06 +0000
@@ -1,4 +1,5 @@
 {
+    "comment": "A fairly trivial load test script. It just loads the main two pages from a loggerhead install running directly on a branch.",
     "parameters": {"base_url": "http://localhost:8080"},
     "requests": [
         {"relpath": "/changes"},

=== modified file 'loggerhead/load_test.py'
--- loggerhead/load_test.py	2011-02-10 00:43:37 +0000
+++ loggerhead/load_test.py	2011-02-10 00:49:06 +0000
@@ -157,8 +157,6 @@
             raise ValueError('Missing "parameters" section')
         if 'requests' not in json_dict:
             raise ValueError('Missing "requests" section')
-        if sorted(json_dict.keys()) != ['parameters', 'requests']:
-            raise ValueError('unknown entries present.')
         param_dict = json_dict['parameters']
         request_list = json_dict['requests']
         base_url = param_dict.get('base_url', None)

=== modified file 'loggerhead/tests/test_load_test.py'
--- loggerhead/tests/test_load_test.py	2011-02-10 00:43:37 +0000
+++ loggerhead/tests/test_load_test.py	2011-02-10 00:49:06 +0000
@@ -175,9 +175,8 @@
             load_test.ActionScript.parse, '{"parameters": {}}')
         self.assertRaises(ValueError,
             load_test.ActionScript.parse, '{"requests": []}')
-        self.assertRaises(ValueError,
-            load_test.ActionScript.parse,
-                '{"parameters": {}, "requests": [], "garbage": "section"}')
+        load_test.ActionScript.parse(
+            '{"parameters": {}, "requests": [], "comment": "section"}')
         script = load_test.ActionScript.parse(
             empty_script)
         self.assertIsNot(None, script)

